org.bdgenomics.adam.models

# TagType

#### object TagType extends Enumeration

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TagType
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class TypeVal extends Val

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val ByteSequence: Val

7. #### val Character: Val

8. #### val Float: Val

9. #### val Integer: Val

10. #### val NumericByteSequence: Val

11. #### val NumericFloatSequence: Val

12. #### val NumericIntSequence: Val

13. #### val NumericShortSequence: Val

14. #### val NumericUnsignedByteSequence: Val

15. #### val NumericUnsignedIntSequence: Val

16. #### val NumericUnsignedShortSequence: Val

17. #### val String: Val

18. #### def TypeValue(abbreviation: String): Val

19. #### final def Value(i: Int, name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

20. #### final def Value(name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

21. #### final def Value(i: Int): Value

    Attributes
      protected
    Definition Classes
      Enumeration

22. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

23. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

24. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

25. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

30. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### final def maxId: Int

    Definition Classes
      Enumeration

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

35. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

41. #### def values: ValueSet

    Definition Classes
      Enumeration

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped